io.milvus.param.collection

## Class FieldType

- java.lang.Object
- - io.milvus.param.collection.FieldType

    public class FieldType
    extends java.lang.Object

Parameters for a collection field.

See Also:
  `CreateCollectionParam`

### Nested Class Summary

Nested Classes
`static class` `FieldType.Builder` Builder for `FieldType` class.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getDimension()`
`int` `getMaxCapacity()`
`int` `getMaxLength()`
`static FieldType.Builder` `newBuilder()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDimension

    public int getDimension()

#### getMaxLength

    public int getMaxLength()

#### getMaxCapacity

    public int getMaxCapacity()

#### newBuilder

    public static FieldType.Builder newBuilder()